/*
 *  Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 * 
 *  Licensed under the Eclipse Public License - v 1.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *           http://www.eclipse.org/legal/epl-v10.html
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package nl.cloudfarming.client.imp;

import java.awt.Image;
import java.awt.datatransfer.Transferable;
import javax.swing.Action;
import org.netbeans.api.project.Project;
import org.openide.nodes.FilterNode;
import org.openide.nodes.Node;
import org.openide.util.ImageUtilities;
import org.openide.util.datatransfer.PasteType;
import org.openide.util.lookup.Lookups;
import org.openide.util.lookup.ProxyLookup;

/**
 *
 * @author johan
 */
public abstract class AbstractImportFolderNode extends FilterNode {

    public AbstractImportFolderNode(Project project, Node original) {
        this(project, original, Children.LEAF);
    }

    public AbstractImportFolderNode(Project project, Node original, org.openide.nodes.Children children) {
        super(original, children, new ProxyLookup(Lookups.singleton(project), original.getLookup()));
        init();
    }

    private void init() {
        disableDelegation(DELEGATE_SET_NAME);
        disableDelegation(DELEGATE_GET_ACTIONS);
    }

    @Override
    public Image getIcon(int type) {
        return ImageUtilities.loadImage("nl/cloudfarming/client/imp/folder.png");
    }

    @Override
    public Image getOpenedIcon(int type) {
        return getIcon(type);
    }

    @Override
    public boolean canCopy() {
        return false;
    }

    @Override
    public boolean canRename() {
        return false;
    }

    @Override
    public boolean canCut() {
        return false;
    }

    @Override
    public PasteType getDropType(Transferable t, int action, int index) {
        return null;
    }

    @Override
    public Action[] getActions(boolean context) {
        return new Action[0];
    }
    
}
